QGIS Application - Bug report #6576
v.transform module in Sextante toolbox modeler
2012-10-27 01:21 AM - Giuseppe Patti

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 15771
Description

Loading the v.transform module in teh sextante toolbox modeler reports a Python error, while loading the same module directly (not inside
the modeler) works fine.

Errore durante I'esecuzione di codice Python:

Traceback (most recent call last):
File "C:/Documents and Settings/Giuseppe/.qgis//python/plugins\\sextante\\modeler\\ModelerDialog.py", line 286, in addAlgorithm
dlg = ModelerParametersDialog(alg, self.alg)
File "C:/Documents and Settings/Giuseppe/.qgis//python/plugins\\sextante\\modeler\\ModelerParametersDialog.py", line 38, in init
self.setupUi()
File "C:/Documents and Settings/Giuseppe/.qgis//python/plugins\\sextante\\modeler\\ModelerParametersDialog.py", line 58, in setupUi
self.setTableContent()
File "C:/Documents and Settings/Giuseppe/.qgis//python/plugins\\sextante\\modeler\\ModelerParametersDialog.py", line 325, in
setTableContent
item = self.getWidgetFromParameter(param)
File "C:/Documents and Settings/Giuseppe/.qgis//python/plugins\\sextante\\modeler\\ModelerParametersDialog.py", line 301, in
getWidgetFromParameter
item.setEditText(str(param.default))
AttributeError: ParameterFile instance has no attribute 'default’

Versione Python:
2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Versione di QGIS:
1.8.0-Lisboa Lisboa, 6416f38

Percorso Python: ['C:\\WDocuments and Settings\\\Giuseppe\\\\.qgis\\\\python\\\\plugins\\\GeoCoding', 'C:/Documents and
Settings/Giuseppe/.qgis//python/plugins\\\sextante', 'C:\\\Documents and Settings\\\Giuseppe\\\\.qgis\\\python\\\\plugins\\\GeoCoding',
'C:\\Documents and Settings\\\Giuseppe\\\.qgis\\\\python\\\\plugins\\\\elevation', 'C:/OSGeo4W/apps/qgis/./python’, 'C:/Documents and
Settings/Giuseppe/.qgis//python’, 'C:/Documents and Settings/Giuseppe/.qgis//python/plugins’,
'C:/OSGeo4W/apps/qgis/./python/plugins’, 'C:\WWINDOWS\\\system32\\\\python27.zip', 'C:\\OSGeo4W\\\\apps\\\\Python27\\\DLLs',
'C:\WOSGeodW\\Wapps\\WPython27\\ib', 'C:\WOSGeo4W\\apps\\WPython27\\\lib\\plat-win',
'C:\WOSGeodW\\\apps\\\Python27\\Wib\\Wib-tk', 'C:\WOSGeo4W\\apps\\\qgis\\bin', 'C:\\WOSGeo4W\\apps\\\\Python27',
'C:\WOSGeodW\\Wapps\\\Python27\\\lib\\\site-packages', 'C:\\OSGeo4W\\\apps\\\\Python27\\\lib\\\\site-packages\\\PIL',
'C:\WOSGeodW\\Wapps\\Python27\\\lib\\site-packages\\\\win32',
'C:\WNOSGeodW\\Wapps\\\Python27\\\lib\\\site-packages\\win32\\\\lib',
'C:\\WOSGeodW\\\\apps\\Python27\\\ib\\\\site-packages\\\\Pythonwin',
'C:A\WNOSGeodW\\Wapps\\WPython27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode', '~/.qgis/python’, 'C:\\\Documents and
Settings\\\Giuseppe\\.qgis\\\\python\\plugins\\\mmqgis/forms', 'C:\\\OSGeo4W\\\\apps\\\\qgis\\\\python\\\plugins\\\f Tools\\\tools']
History

#1 - 2012-10-27 02:35 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

see #6577
